{
	// 使用 IntelliSense 了解相关属性。 
	// 悬停以查看现有属性的描述。
	// 欲了解更多信息，请访问: https://go.microsoft.com/fwlink/?linkid=830387
	"version": "0.2.0",
	"configurations": [
		{
			"name": "current_file",
			"type": "debugpy",
			"request": "launch",
			"program": "${file}",
			"console": "integratedTerminal",
			"cwd": "${fileDirname}",
			"env": {"PYTHONPATH":"${workspaceFolder};${env:PYTHONPATH}"},
			"envFile": "${workspaceFolder}/.env",
			// "args": ["-t", "How can I push a model to the Hub?", "-b", "dashscope", "-m", "openai/qwen-max", "-a", "code"],
			"justMyCode": false
		},
		{
			"name": "streamlit_ocr_validator",
			"type": "debugpy",
			"request": "launch",
			// "program": "${file}",
			"module": "streamlit",
			"console": "integratedTerminal",
			"cwd": "${workspaceFolder}",
			"env": {"PYTHONPATH":"${workspaceFolder};${env:PYTHONPATH}"},
			"envFile": "${workspaceFolder}/.env",
			"args": [
				"run", "streamlit_ocr_validator.py", 
				"--theme.base=light"
			],
			"justMyCode": false
		},
		{
			"name": "streamlit_test",
			"type": "debugpy",
			"request": "launch",
			// "program": "${file}",
			"module": "streamlit",
			"console": "integratedTerminal",
			"cwd": "${fileDirname}",
			"env": {"PYTHONPATH":"${workspaceFolder};${env:PYTHONPATH}"},
			"envFile": "${workspaceFolder}/.env",
			"args": [
				"run", "${file}", 
			],
			"justMyCode": false
		}
	]
}